IPktRawDataMon< P > Class Template Referenceabstract

Interface class for packet processor monitor. More...

`#include <trc_pkt_raw_in_i.h>`

Inheritance diagram for IPktRawDataMon< P >:
[legend]
Collaboration diagram for IPktRawDataMon< P >:
[legend]

## Public Member Functions

| IPktRawDataMon ()
virtual | ~IPktRawDataMon ()
virtual void | RawPacketDataMon (const ocsd_datapath_op_t op, const ocsd_trc_index_t index_sop, const P *pkt, const uint32_t size, const uint8_t *p_data)=0
Public Member Functions inherited from ITrcTypedBase
| ITrcTypedBase ()
virtual | ~ITrcTypedBase ()

## Detailed Description

### template<class P>
class IPktRawDataMon< P >

Interface class for packet processor monitor.

Definition at line 57 of file trc_pkt_raw_in_i.h.

## Constructor & Destructor Documentation

## IPktRawDataMon()

template<class P>

IPktRawDataMon< P >::IPktRawDataMon | ( |  | ) |

inline

Definition at line 60 of file trc_pkt_raw_in_i.h.

## ~IPktRawDataMon()

template<class P>

virtual IPktRawDataMon< P >::~IPktRawDataMon | ( |  | ) |

inline virtual

Default constructor.

Definition at line 61 of file trc_pkt_raw_in_i.h.

## Member Function Documentation

## RawPacketDataMon()

template<class P>

virtual void IPktRawDataMon< P >::RawPacketDataMon | ( | const ocsd_datapath_op_t | op,
|  | const ocsd_trc_index_t | index_sop,
|  | const P * | pkt,
|  | const uint32_t | size,
|  | const uint8_t * | p_data
| ) |  |

pure virtual

Default destructor.

Interface monitor function called with a complete packet, or other data path operation.

Parameters

  op | : Datapath operation
  index_sop | : start of packet index
  *pkt | : The expanded packet
  size | : size of packet data bytes
  *p_data | : the packet data bytes.

The documentation for this class was generated from the following file:

- /build/libopencsd-WqHKQU/libopencsd-0.12.2/decoder/include/interfaces/trc_pkt_raw_in_i.h